Zeitgeist.StorageState – zeitgeist-2.0 Reference Manual

# StorageState

## Description:

public enum StorageState

Enumeration class defining the possible values for the storage state of an event subject.

The StorageState enumeration can be used to control whether or not matched events must have their subjects available to the user. Fx. not including deleted files, files on unplugged USB drives, files available only when a network is available etc.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Enum values:

- ANY - The event subjects may or may not be available
- AVAILABLE - The storage medium of all event subjects must be immediately available to the user
- NOT_AVAILABLE - The storage medium of the events subjects must not be available to the user